Subject: RE: [Sip] RE: [Sip-implementors] Via: processing

From: [email-masked]
Date: Fri, 13 Feb 2004 11:50:50 +0530

Hi
   actually putting IP address in Via is not recommended when the SIP
message has to traverse through NAT. So it is better to have FQDN
instead of IP. 

Ranjit

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Nataraju Alilaghatta (WT01 - TELECOM & INTER-NETWORKING SOLUTIONS)
Sent: Friday, February 13, 2004 4:37 AM
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: [Sip] RE: [Sip-implementors] Via: processing

I guess putting FQDN or IP addresses in the Via header driven by the
tradeoff between overhead in DNS query for FQDN name but provides
robustness or direct usage of IP address which lead to undeliverable in
case intermediate entities failure. 

It's my feeling, please correct me if I am wrong....

Thanks & Regards,
Nataraju A.B. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Paul
D.Smith
Sent: Friday, January 30, 2004 9:56 PM
To: [email-masked]'
Cc: SIP WG
Subject: [Sip] RE: [Sip-implementors] Via: processing

Brett, Arlie,

RFC3261 clearly allows a response to be "rerouted" if it can be
determined that the response did not reach the first-attempt target.
For example, if the request is received over TCP, and the connection has
gone and cannot be reestablished by the time the response is ready to be
sent back, RFC3261 states the following

--- from RFC3261, section 18.2.2, 1st bullet.

If that connection attempt fails, the server SHOULD use the procedures
in [4] for servers in order to determine the IP address and port to open
the connection and send the response to.

--- end of cut

RFC3263 then gives an algorithm for attempting to determine alternate IP
addresses to which the response might be sent.  Clearly having an FQDN
in the sent-by will give a chance of success which having an IP address
will not, especially if the sent-by and received IP addresses are the
same!

Paul DS.

Paul D.Smith
Network Protocols Group 
Data Connection Ltd (DCL)
Tel: +44 20 8366 1177  Email: [email-masked] 
Fax: +44 20 8363 1039  Web:   http://www.dataconnection.com

-----Original Message-----
From: Brett Tate [mailto:[email-masked]]
Sent: 29 January 2004 00:27
To: SIP (E-mail)
Subject: RE: [Sip-implementors] Via: processing

> I'm looking at the spec for Via: processing.
> RFC 3261 clearly shows that a Via: line can 
> contain DNS names, as well as textual
> representations of network addresses.
> 
> How many products actually implement support
> for resolving DNS names provided in Via: lines?  

Not very many support DNS resolution of a
Via entry.  However many support the concept
of adding the Via's received parameter when
it does not match the Via's sent-by address.

> This seems...  well, it seems unnecessary,
> potentially insecure (allowing for easy DDoS
> and potentially amplification attacks), and 
> just a general nuisance.  Is this kind of
> thing ever actually used for a good purpose?  

Some people have toyed with the idea of
advancing response addresses based upon
rfc3263 during failure situations.

> Does any product do anything *but* just put
> real network addresses in Via: lines in
> requests?

Yes.

_______________________________________________
Sip-implementors mailing list
[email-masked]
http://lists.cs.columbia.edu/mailman/listinfo/sip-implementors

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip Use
[email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip Use
[email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Cullen Jennings <[email-masked]>
Date: Thu, 19 Feb 2004 21:48:06 -0800

No I don't think this is a good idea. Putting a FQDN that is behind a NAT is
not any more likely to be resolvable to a routeable IP address. A private IP
is much easier to recognize and debug. Many hosts think they know their
hostname but do not and they should not put in an address that is not
routable in any domain. For example. most things, be it windows or unix,
will report a hostname when really they got their IP address from DHCP and
the hostname they are reporting is not in DNS.

Here's my recommendation for IP phones, softphones - always use an IP in via
and contacts unless you are positive that your FQDN really is in the global
DNS and you have a specific reason to use DNS (like multiple NICs for
redundancy). 

Cullen